From: Junio C Hamano <gitster@pobox.com>
To: git@vger.kernel.org
Cc: Johannes Schindelin <johannes.schindelin@gmx.de>
Subject: [PATCH 1/3] rebase -i: highlight problems with core.commentchar
Date: Mon, 21 Nov 2016 11:05:12 -0800 [thread overview]
Message-ID: <20161121190514.18574-1-gitster@pobox.com> (raw)
In-Reply-To: <xmqq7f7wk7x9.fsf@gitster.mtv.corp.google.com>
From: Johannes Schindelin <johannes.schindelin@gmx.de>
The interactive rebase does not currently play well with
core.commentchar. Let's add some tests to highlight those problems
that will be fixed in the remainder of the series.
Signed-off-by: Johannes Schindelin <johannes.schindelin@gmx.de>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
t/t0030-stripspace.sh | 9 +++++++++
t/t3404-rebase-interactive.sh | 11 +++++++++++
2 files changed, 20 insertions(+)
diff --git a/t/t0030-stripspace.sh b/t/t0030-stripspace.sh
index 29e91d861c..c1f6411eb2 100755
--- a/t/t0030-stripspace.sh
+++ b/t/t0030-stripspace.sh
@@ -432,6 +432,15 @@ test_expect_success '-c with changed comment char' '
test_cmp expect actual
'
+test_expect_failure '-c with comment char defined in .git/config' '
+ test_config core.commentchar = &&
+ printf "= foo\n" >expect &&
+ printf "foo" | (
+ mkdir sub && cd sub && git stripspace -c
+ ) >actual &&
+ test_cmp expect actual
+'
+
test_expect_success 'avoid SP-HT sequence in commented line' '
printf "#\tone\n#\n# two\n" >expect &&
printf "\tone\n\ntwo\n" | git stripspace -c >actual &&
diff --git a/t/t3404-rebase-interactive.sh b/t/t3404-rebase-interactive.sh
index d6d65a3a94..d941f0a69f 100755
--- a/t/t3404-rebase-interactive.sh
+++ b/t/t3404-rebase-interactive.sh
@@ -983,6 +983,17 @@ test_expect_success 'rebase -i respects core.commentchar' '
test B = $(git cat-file commit HEAD^ | sed -ne \$p)
'
+test_expect_failure 'rebase -i respects core.commentchar=auto' '
+ test_config core.commentchar auto &&
+ write_script copy-edit-script.sh <<-\EOF &&
+ cp "$1" edit-script
+ EOF
+ test_set_editor "$(pwd)/copy-edit-script.sh" &&
+ test_when_finished "git rebase --abort || :" &&
+ git rebase -i HEAD^ &&
+ test -z "$(grep -ve "^#" -e "^\$" -e "^pick" edit-script)"
+'
+
test_expect_success 'rebase -i, with <onto> and <upstream> specified as :/quuxery' '
test_when_finished "git branch -D torebase" &&
git checkout -b torebase branch1 &&
--
2.11.0-rc2-154-g95ba452916
next prev parent reply other threads:[~2016-11-21 19:05 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-21 14:18 [PATCH 0/3] Fix problems with rebase -i when core.commentchar is defined Johannes Schindelin
2016-11-21 14:18 ` [PATCH 1/3] rebase -i: identify problems with core.commentchar Johannes Schindelin
2016-11-21 18:15 ` Junio C Hamano
2016-11-21 18:24 ` Junio C Hamano
2016-11-21 19:05 ` Junio C Hamano [this message]
2016-11-21 19:05 ` [PATCH 2/3] stripspace: respect repository config Junio C Hamano
2016-11-21 20:28 ` Junio C Hamano
2016-11-22 16:11 ` Johannes Schindelin
2016-11-21 19:05 ` [PATCH 3/3] rebase -i: handle core.commentChar=auto Junio C Hamano
2016-11-21 20:29 ` Junio C Hamano
2016-11-21 20:25 ` [PATCH 1/3] rebase -i: highlight problems with core.commentchar Junio C Hamano
2016-11-22 16:09 ` Johannes Schindelin
2016-11-22 17:05 ` Junio C Hamano
2016-11-23 11:05 ` Johannes Schindelin
2016-11-21 18:49 ` [PATCH 1/3] rebase -i: identify " Jeff King
2016-11-21 19:12 ` Junio C Hamano
2016-11-21 23:38 ` Jeff King
2016-11-22 16:09 ` Johannes Schindelin
2016-11-21 14:18 ` [PATCH 2/3] stripspace: respect repository config Johannes Schindelin
2016-11-22 10:10 ` Duy Nguyen
2016-11-22 16:13 ` Johannes Schindelin
2016-11-22 17:10 ` Junio C Hamano
2016-11-22 19:10 ` Junio C Hamano
2016-11-22 19:50 ` Jeff King
2016-11-22 20:24 ` Junio C Hamano
2016-11-22 21:19 ` Jeff King
2016-11-22 21:22 ` Junio C Hamano
2016-11-22 21:43 ` Jeff King
2016-11-22 21:55 ` Junio C Hamano
2016-11-23 0:12 ` Jeff King
2016-11-22 21:24 ` Jeff King
2016-11-21 14:18 ` [PATCH 3/3] rebase -i: handle core.commentChar=auto Johannes Schindelin
2016-11-21 18:26 ` Johannes Sixt
2016-11-21 18:40 ` Junio C Hamano
2016-11-21 18:58 ` Johannes Sixt
2016-11-21 19:07 ` Junio C Hamano
2016-11-21 19:14 ` Johannes Sixt
2016-11-22 16:04 ` Johannes Schindelin
2016-11-22 10:31 ` Duy Nguyen
2016-11-21 16:58 ` [PATCH 0/3] Fix problems with rebase -i when core.commentchar is defined Jacob Keller
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20161121190514.18574-1-gitster@pobox.com \
--to=gitster@pobox.com \
--cc=git@vger.kernel.org \
--cc=johannes.schindelin@gmx.de \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.